Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class Rule

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.Rule

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class Rule

extends org.eclipse.birt.report.model.core.Structure

This class represents one rule. Each rule has the following properties:

rule expression
  The expression to define the static value.
display expression
  The expression to give the display value for this static value

Field Summary
`static java.lang.String` | `DISPLAY_EXPRE_MEMBER` Name of the member which gives the display value for the static value.
`protected Expression` | `displayExpre` Display value.
`static java.lang.String` | `RULE_EXPRE_MEMBER` Name of the member which defines the static value.
`static java.lang.String` | `RULE_STRUCTURE` Name of this structure.
`protected Expression` | `ruleExpre` Static value.

Constructor Summary
`Rule()`

Method Summary
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)`
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)`
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RULE_STRUCTURE

    public static final java.lang.String RULE_STRUCTURE

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### RULE_EXPRE_MEMBER

    public static final java.lang.String RULE_EXPRE_MEMBER

  Name of the member which defines the static value.

  See Also:
    Constant Field Values

### DISPLAY_EXPRE_MEMBER

    public static final java.lang.String DISPLAY_EXPRE_MEMBER

  Name of the member which gives the display value for the static value.

  See Also:
    Constant Field Values

### ruleExpre

    protected Expression ruleExpre

  Static value.

### displayExpre

    protected Expression displayExpre

  Display value.

Constructor Detail

### Rule

    public Rule()

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.